## atftp 0.7

=== test/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/atftp
pkglibdir = $(libdir)/atftp
pkgincludedir = $(includedir)/atftp
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
subdir = test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jp/projets/sources/atftp/atftp-0.7/atftp/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/jp/projets/sources/atftp/atftp-0.7/atftp/missing --run tar
AUTOCONF = ${SHELL} /home/jp/projets/sources/atftp/atftp-0.7/atftp/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jp/projets/sources/atftp/atftp-0.7/atftp/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jp/projets/sources/atftp/atftp-0.7/atftp/missing --run automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -Wall -D_REENTRANT -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
ISODATE = 2004-03-15
LDFLAGS = 
LIBOBJS = 
LIBPCRE = -lpcre
LIBPTHREAD = -lpthread
LIBREADLINE = -lreadline
LIBS = 
LIBTERMCAP = 
LIBWRAP = -lnsl -lwrap
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jp/projets/sources/atftp/atftp-0.7/atftp/missing --run makeinfo
OBJEXT = o
PACKAGE = atftp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PLATFORM = pc-i686-linux-gnu
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.7
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/jp/projets/sources/atftp/atftp-0.7/atftp/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
TESTS = test.sh
CLEANFILES = *~
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -n "$$skipped" && echo "$$skipped"; \
	  test -n "$$report" && echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-TESTS check-am clean clean-generic \
	distclean distclean-generic distdir dvi dvi-am html html-am \
	info info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
	uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## atftp 0.6.0woody1

=== debian/changelog ===
atftp (0.6.0woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix buffer overflow in tftpd_send_file [tftpd_file.c]

 -- Matt Zimmerman <mdz@debian.org>  Sat,  7 Jun 2003 22:38:48 -0400

atftp (0.6) unstable; urgency=low

  * Update of German translations (Thanks to Christian Neumair)
    (Closes: #139080)
  * Update of French translations (Thanks to Denis Barbier) (Closes: #136339).
  * Fix autoconf issue related to RedHat
  * Fix bug associated with very small value of blksize
  * Fix server to allow logging to stdout and stderr in daemon mode
  * Add --no-fork option for use in conjonction with --daemon
  * Add command line option to overide the default nobody.nogroup user
  * Fix bug where server segfault if nobody.nogroup doesn't exist
  * Fix grave bug with libwrap support causing server to segfault

 -- Remi Lefebvre <remi@debian.org>  Sun, 31 Mar 2002 13:55:54 -0500

atftp (0.5) unstable; urgency=low

  * Filename length limit increased (Closes: #124052).
  * General bug fixes.
  * Autoconf enhancement.
  * Libwrap support (for spawned thread).
  * Multicast support (not tested thoroughly).
  * Be less picky about removing existing tftp entries in inetd.conf
    (Closes: #107053).
  * General spelling fixes in the english templates (Closes: #109475).
  * Swedish templates (Thanks to Martin Sjgren) (Closes: #109523).
  * Portuguese templates (Thanks to Andre Luis Lopes) (Closes: #107042).

 -- Remi Lefebvre <remi@debian.org>  Sat, 18 Aug 2001 23:13:25 -0400

atftp (0.4) unstable; urgency=low

  * Now handle SIGINT and SIGTERM in the client and server.
  * Improved readline support.
  * Added status info in the client.
  * Added daemon mode.
  * Added spanish templates (Thanks to Carlos Valdivia Yage) (Closes: #103043).
  * Added "Provides: tftpd" (Closes: #100676).
  * Added french templates.
  * Added german templates (Thanks to Sebastian Feltel) (Closes: #100066).
  * Fixed config script (Closes: #93398).
  * Moved over to autoconf (Thanks to Jeffrey Fulmer).

 -- Remi Lefebvre <remi@debian.org>  Sat, 16 Jun 2001 01:27:27 -0500

atftp (0.3) unstable; urgency=low

  * Fixed format string bug.
  * Fixed an uninitialised variable bug.
  * Fixed name resolution.

 -- Remi Lefebvre <remi@debian.org>  Sun, 11 Feb 2001 13:08:34 -0500

atftp (0.2) unstable; urgency=low

  * Add statistics collecting functions to the server.
  * Added support for debconf.
  * Bugfixes.

 -- Remi Lefebvre <remi@debian.org>  Wed, 27 Dec 2000 11:44:02 -0500

atftp (0.1) unstable; urgency=low

  * Initial Release (Closes: #69486).

 -- Remi Lefebvre <remi@debian.org>  Fri, 30 Jun 2000 14:32:15 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: atftp
Section: net
Priority: optional
Maintainer: Remi Lefebvre <remi@debian.org>
Build-Depends: libwrap0-dev, libreadline4-dev, debhelper (>= 1.1.17)
Standards-Version: 3.1.1

Package: atftp
Architecture: any
Depends: ${shlibs:Depends}
Description: Advanced TFTP client.
 Interactive client for the Trivial File Transfer Protocol (TFTP). Its
 usage is mainly for testing and debugging a TFTP server since a client 
 is usually implemented in BIOS' for boot from LAN setups.

Package: atftpd
Architecture: any
Depends: ${shlibs:Depends}, netkit-inetd, debconf
Conflicts: tftpd
Suggests: logrotate
Provides: tftpd
Description: Advanced TFTP server.
 Multithreaded TFTP server implementing all options specified in
 RFCs 1350, 2090, 2347, 2348, 2349 (multicast not implemented yet).
 The server currently supports being started from inetd(8) only. The
 server then handles new connections directly by starting new threads
 and kills itself after 5 minutes of inactivity.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=/usr/share/man

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/tmp/usr \
			mandir=`pwd`/debian/tmp/usr/share/man

	dh_movefiles
	dh_installdocs -patftp
	dh_installdocs -patftpd docs/*.html

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installinit
#	dh_installexamples
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	#dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## atftp 0.6.3

=== debian/changelog ===
atftp (0.6.3) unstable; urgency=low

  * Maintainer field set to QA Group
  * Updated Standards-Version

 -- Emanuele Rocca <ema@debian.org>  Sun,  1 Feb 2004 19:06:00 +0100

atftp (0.6.2.1) unstable; urgency=low

  * NMU with maintainer consent
  * Switch to po-debconf for debconf templates. Closes: #198223, #150071
  * A few lintian fixes :
     -debian/copyright
     -debian/control (package description)
  * Corrected typos in tftpd.c. Closes: #147218, #181796
  * Some wrong implementations assertions removed from control.
    Closes: #162836

 -- Christian Perrier <bubulle@debian.org>  Tue,  9 Sep 2003 18:48:01 +0200

atftp (0.6.2) unstable; urgency=low

  * Fixed local and remote buffer overflow (Closes: #196304)

 -- Remi Lefebvre <remi@debian.org>  Sun, 15 Jun 2003 16:26:13 -0400

atftp (0.6.1.1) unstable; urgency=low

  * NMU
  * New config.guess, config.sub.  Add libwrap-dev to build-depends.
    Closes: #142949

 -- LaMont Jones <lamont@debian.org>  Wed, 24 Apr 2002 00:23:52 -0600

atftp (0.6.1) unstable; urgency=low

  * Fixed French translations for real this time (Closes: #136339).

 -- Remi Lefebvre <remi@debian.org>  Sun, 13 Apr 2002 14:09:23 -0500
 

=== debian/control ===
Source: atftp
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libreadline4-dev, debhelper (>= 4.1.16), libwrap-dev
Standards-Version: 3.6.1

Package: atftp
Architecture: any
Depends: ${shlibs:Depends}
Description: Advanced TFTP client
 Interactive client for the Trivial File Transfer Protocol (TFTP). Its
 usage is mainly for testing and debugging a TFTP server since a client 
 is usually implemented in BIOS' for boot from LAN setups.

Package: atftpd
Architecture: any
Depends: ${shlibs:Depends}, netkit-inetd, debconf
Conflicts: tftpd
Suggests: logrotate
Provides: tftpd
Description: Advanced TFTP server
 Multithreaded TFTP server implementing all options specified in
 RFCs 1350, 2090, 2347, 2348, 2349.
 .
 The server currently supports being started from inetd(8) only. The
 server then handles new connections directly by starting new threads
 and kills itself after 5 minutes of inactivity.

## atftp 0.7.git20210915

=== debian/changelog ===
atftp (0.7.git20210915-4build1) jammy-security; urgency=medium

  * Disable -flto flag in debian/rules file to fix LP: #1989816, LP: #1995854

 -- Jorge Sancho Larraz <jorge.sancho.larraz@canonical.com>  Fri, 01 Sep 2023 14:59:36 +0200

atftp (0.7.git20210915-4) unstable; urgency=medium

  * Fix pcre2 build configuration.
  * Allow IPv6 connections.
  * Update dutch translations (closes: #1004319). Thanks to
    Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 11 Feb 2022 12:27:00 +0100

atftp (0.7.git20210915-3) unstable; urgency=medium

  * Implement simple congestion control if windowsize option is used.
  * Add salsa CI configuration.
  * Switch to maintained library and port to PCRE2 (closes: #1000071).
  * Update some po-debconf translations, thanks to all translaters.
    (Closes: #995082, #996629, #1000762).
  * Add patch descriptions and switch to DEP-5 copyright format.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 29 Dec 2021 09:25:55 +0100

atftp (0.7.git20210915-2) unstable; urgency=medium

  [ Sophie Brun ]
  * Fix syntax error in '/etc/default/atftpd' (Closes: #994808)

  [ Andreas B. Mundt ]
  * Add test for syntax errors in default configuration.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 22 Sep 2021 18:09:29 +0200

atftp (0.7.git20210915-1) unstable; urgency=medium

  * New upstream release (0.7.5). Remove patches applied upstream.
  * Refresh windowsize option patch and adapt it to the latest
    upstream changes.
  * Fix systemd 'override.conf' example.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 15 Sep 2021 22:04:06 +0200

atftp (0.7.git20210202-4) unstable; urgency=medium

  * Draft implementation of the windowsize option from RFC7440.
  * Prevent the Sorcerer's Apprentice Syndrome in any case and
    remove its debconf configuration.
  * Add configuration of 'windowsize' option to debconf.
  * Client side windowsize option handling, minor fixes.
  * Update README and fix default configuration file syntax.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 08 Sep 2021 12:07:38 +0200

atftp (0.7.git20210202-3) unstable; urgency=medium

  * Update package documentation.
  * Add Sorcerer's Apprentice Syndrome configuration to debconf.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Patch many typos.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 29 Aug 2021 10:51:13 +0200

atftp (0.7.git20210202-2) unstable; urgency=medium

  * Release to unstable after bullseye is stable now.
  * Patch to prevent 'Sorcerer's Apprentice Syndrome'. (Closes: #275056)

 -- Andreas B. Mundt <andi@debian.org>  Sat, 21 Aug 2021 14:26:11 +0200

atftp (0.7.git20210202-1) experimental; urgency=medium

  * New upstream release (0.7.4) and packaging.
  * Wrap-and-sort, switch to quilt, update versions.
  * Update watch file and fix some lintian warnings.
  * Convert some files to UTF-8 encoding.
  * Add canonical packaging repo URLs.
  * Add autopkgtest: Run upstream test suite.
  * Add dependency needed for the package tests.
  * Provide draft systemd service files and socket activation.
  * Remove helper packages only needed when using an inet-superserver
    and remove the automagic, error-prone inet-superserver configuration.
  * Add myself to the Uploaders field.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 29 Jul 2021 17:25:35 +0200

atftp (0.7.git20120829-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing dependency tcpd. (Closes: #988456)

 -- Andreas B. Mundt <andi@debian.org>  Sun, 25 Jul 2021 18:26:09 +0200

atftp (0.7.git20120829-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix for DoS issue CVE-2020-6097 (Closes: #970066)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Dec 2020 21:28:40 +0100

atftp (0.7.git20120829-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix concurrency issue denial of service (CVE-2019-11366) (Closes: #927553)
  * Fix error handler stack overflow (CVE-2019-11365) (Closes: #927553)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Apr 2019 19:37:52 +0200

atftp (0.7.git20120829-3) unstable; urgency=medium

  * Ack previous NMU
  * Reload debconf options from /etc/default/atftpd or /etc/inetd.conf
    Patch by Petter Reinholdtsen. Closes: #412185
  * Added watch file. Closes: #831849

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 05 Sep 2016 19:00:41 +0200

atftp (0.7.git20120829-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": apply patch from Martin Michlmayr to debian/rules:
    use GNU89 inline style, and adjust buildflags handling.
    (Closes: #777783)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2015 17:09:34 +0200

atftp (0.7.git20120829-2) unstable; urgency=low

  * atftpd.postinst uses invalid protocol bug fixed. Closes: #688693
  * Fixes for compiler warnings. Closes: #774913, #688471
  * Added large file support. Closes: #774912

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 20 Jun 2015 19:21:52 +0200

atftp (0.7.git20120829-1) unstable; urgency=low

  * New upstream release from GIT repo.
  * Updated the copyright file
  * Updated pt_BR debconf template. Closes: #661358
  * init.d status support. Closes: #645812
  * hardened the build. Removed CFLAGS from configure.ac

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 29 Aug 2012 19:14:38 +0200

atftp (0.7.dfsg-11) unstable; urgency=low

  * Fixed a potential DoS bug (introduced by the IPv6 patch)
  * Bug fixed: aftpd does not reply properly when there's more than 1 interface
    Closes: #613582, #258998
  * Updated SK and FI debconf translations. Closes: #621007, #620175
  * Bug fixed: Forgets port if Both --port and --bind-address are used.
    Closes: #622840

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 14 Sep 2011 17:36:24 +0200

atftp (0.7.dfsg-10) unstable; urgency=low

  * Ack previous NMUs
  * Updated Vietnamese and Danish debconf translation.
    Closes: #601574, #608446
  * Documentation fix. Closes: #540323


=== debian/control ===
Source: atftp
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Drolez <ldrolez@debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libpcre2-dev,
               libreadline-dev,
               libwrap0-dev,
               po-debconf,
               procps
Standards-Version: 4.6.0
Homepage: https://sourceforge.net/projects/atftp
Vcs-Browser: https://salsa.debian.org/debian/atftp
Vcs-Git: https://salsa.debian.org/debian/atftp.git

Package: atftp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: advanced TFTP client
 Interactive client for the Trivial File Transfer Protocol (TFTP). Its
 usage is mainly for testing and debugging the atftp server. A TFTP client
 is usually implemented in UEFI/BIOS and bootstrap programs like pxelinux when
 booting from LAN. The atftp client also supports non-interactive invocation
 for easy use in scripts.

Package: atftpd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: tftpd
Suggests: logrotate
Description: advanced TFTP server
 Multi-threaded TFTP server implementing all options (option extension and
 multicast) as specified in RFC1350, RFC2090, RFC2347, RFC2348 and RFC2349.
 Atftpd also supports multicast protocol known as mtftp, defined in the PXE
 specification. The server is socket activated by default but supports being
 started from inetd(8) as well as in daemon mode using init scripts.

=== debian/watch ===
version=4
# For SourceForge based projects, qa.debian.org runs a redirector which
# allows a simpler form of URL. The format below will automatically be
# rewritten to use the redirector with the watch file:
https://sf.net/atftp/ atftp-([.\d]+)\.tar\.gz debian uupdate

## atftp 0.8.0

=== debian/changelog ===
atftp (0.8.0-3) unstable; urgency=medium

  * Add romanian debconf translations (closes: #1031144). Thanks
    to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 19 Feb 2023 18:10:45 +0100

atftp (0.8.0-2) unstable; urgency=medium

  * Prepare release for bookworm.
  * Update Standards-Version to 4.6.2, no changes needed.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 21 Dec 2022 13:43:49 +0100

atftp (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0, all patches have been applied upstream.
  * Improve algorithm (windowsize option):
      - Do not send multiple identical ACKs without timeout.
      - Acknowledge only the first outdatet/duplicated block
        within a window.
      - Fix corner case, where a block gets lost in the last window.
  * Rewrite test script, mostly structuring and clean-up.
  * Fix multicast transfers and add multicast tests.
  * Fix MTFTP and add tests, implement PCRE tests.
  * Monitor git repo to perhaps switch to HEAD later.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 07 Sep 2022 17:37:59 +0200

atftp (0.7.git20210915-6) unstable; urgency=medium

  * Update spanish translations (closes: #1017451). Thanks to
    Camaleón <noelamac@gmail.com>.
  * Fix windowsize option for write requests (file uploads).
  * Some minor (cosmetic) upstream fixes.
  * Add patch headers and tests for windowsize option.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 18 Aug 2022 12:14:12 +0200

atftp (0.7.git20210915-5) unstable; urgency=medium

  * Fix error leading to backup file '/etc/default/atftpde'.
  * Fix some shellcheck warnings in maintainer scripts.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update package description.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 12 Aug 2022 08:21:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: atftp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Drolez <ldrolez@debian.org>
+Maintainer: Ludovic Drolez <ldrolez@debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +10,7 @@
                libwrap0-dev,
                po-debconf,
                procps
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://sourceforge.net/projects/atftp
 Vcs-Browser: https://salsa.debian.org/debian/atftp
 Vcs-Git: https://salsa.debian.org/debian/atftp.git
@@ -34,7 +33,8 @@
 Suggests: logrotate
 Description: advanced TFTP server
  Multi-threaded TFTP server implementing all options (option extension and
- multicast) as specified in RFC1350, RFC2090, RFC2347, RFC2348 and RFC2349.
- Atftpd also supports multicast protocol known as mtftp, defined in the PXE
- specification. The server is socket activated by default but supports being
- started from inetd(8) as well as in daemon mode using init scripts.
+ multicast) as specified in RFC1350, RFC2090, RFC2347, RFC2348, RFC2349 and
+ RFC7440. Atftpd also supports the multicast protocol known as mtftp, defined
+ in the PXE specification. The server is socket activated by default but
+ supports being started from inetd(8) as well as in daemon mode using init
+ scripts.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://git.code.sf.net/p/atftp/code refs/tags/v([\d\.]+)
